ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Diane Holt <>
Subject Re: Different JDK, how?
Date Tue, 13 Mar 2001 19:52:10 GMT
--- Leonardo Xiao <> wrote:
> I have different JDK installed: 
> d:\jdk1.1.8, 
> d:\jdk1.2.2 & 
> d:\jdk1.3.
> I want to compile my applets using JDK1.1.8 & servlets using JDK1.2.2 &
> other stuffs using JDK1.3. Is it possible to switch JDK when calling
> <javac>? 
> I know I can run ANT three times using different JDK but that's not what
> I want :-(

If you're using Ant 1.3, set the includeJavaRuntime attribute to "no",
then just specify a <classpath> element that includes the appropriate jdk
classes (plus whatever other classes you need). If you also don't want the
Ant classes included, set the includeAntRuntime attribute to "no" as well.
See the documentation for further info.



Do You Yahoo!?
Yahoo! Auctions - Buy the things you want at great prices.

View raw message